package com.ruoyi.system.model;

import java.io.Serializable;

/**
 * @Author jiuli
 * @Date 2024/1/16
 */
public class ClientauxiliaryModel implements Serializable {
    //辅助核算项标识
    private String field;
    //档案分类标识
    private String doctype;
    //编码
    private String code;
    //名称
    private String name;
    //档案类型（doc-档案，txt-文本）
    private String datatype;
    //辅助核算项来源档案取值ID
    private String value;
    //辅助核算项来源档案取值
    private AuxiliaryDataModel data;

    public String getField() {
        return field;
    }

    public void setField(String field) {
        this.field = field;
    }

    public String getDoctype() {
        return doctype;
    }

    public void setDoctype(String doctype) {
        this.doctype = doctype;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDatatype() {
        return datatype;
    }

    public void setDatatype(String datatype) {
        this.datatype = datatype;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public AuxiliaryDataModel getData() {
        return data;
    }

    public void setData(AuxiliaryDataModel data) {
        this.data = data;
    }
}
